GET /api/v3/bill/bodyline

Retrieves all bill's bodylines

GetAllBillsBodylinesV3 Permissions: BillsAndBatches (View)
Paginated endpoint — This API returns paginated results. Use the pageNumber and pageSize query parameters to control which page of results is returned. The response includes pagination metadata in the response headers. See the Pagination guide for details.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Query Parameters

Name Description Type Required
filter string (string) Optional
pageSize The number of elements to return in a page integer (int32) Optional
pageNumber The current page number integer (int32) Optional

Filters

Filter Description Type Operators
accountCode Account Number String equals not equals one of like not like not one of
accountId Integer equals not equals less than between one of greater than less than equal greater than equal not one of
accountInfo Account Name String equals not equals one of like not like not one of
accountPeriod AccountPeriod equals not equals less than between greater than less than equal greater than equal
accrual Boolean equals
accrualReversed Boolean equals
active Active (0/1 = F/T) Boolean equals
approved Approval Flag (0/1 = N/Y) Boolean equals
approveDate Bill Approval Date DateTime equals not equals less than between greater than less than equal greater than equal today yesterday last 7 days last 14 days last 30 days last 60 days last 90 days
approvedBy Integer equals not equals less than between one of greater than less than equal greater than equal not one of
batchCode Batch Number String equals not equals one of like not like not one of
batchId Integer equals not equals less than between one of greater than less than equal greater than equal not one of
batchIsOpen Boolean equals
beginDate Bill Begin Date DateTime equals not equals less than between greater than less than equal greater than equal today yesterday last 7 days last 14 days last 30 days last 60 days last 90 days
billEndDate Bill End Date DateTime equals not equals less than between greater than less than equal greater than equal today yesterday last 7 days last 14 days last 30 days last 60 days last 90 days
billID Integer equals not equals less than between one of greater than less than equal greater than equal not one of
billingPeriod Billing Period DatePeriod equals not equals less than between greater than less than equal greater than equal current month prior month prior year prior fiscal year prior 12 months* prior 12 months** year-to-date* year-to-date** fiscal year-to-date* fiscal year-to-date**
checkDate DateTime equals not equals less than between greater than less than equal greater than equal today yesterday last 7 days last 14 days last 30 days last 60 days last 90 days
checkNumber String equals not equals one of like not like not one of
clearedDate DateTime equals not equals less than between greater than less than equal greater than equal today yesterday last 7 days last 14 days last 30 days last 60 days last 90 days
commodityCode Commodity Code String equals not equals one of like not like not one of
commodityId Integer equals not equals less than between one of greater than less than equal greater than equal not one of
commodityInfo Commodity Name String equals not equals one of like not like not one of
controlCode Bill Control Code String equals not equals one of like not like not one of
costCenterCode Cost Center Code String equals not equals one of like not like not one of
costCenterId Integer equals not equals less than between one of greater than less than equal greater than equal not one of
costCenterInfo Cost Center Name String equals not equals one of like not like not one of
createdBy Integer equals not equals less than between one of greater than less than equal greater than equal not one of
createdDate Bill Creation Date DateTime equals not equals less than between greater than less than equal greater than equal today yesterday last 7 days last 14 days last 30 days last 60 days last 90 days
dueDate Bill Due Date DateTime equals not equals less than between greater than less than equal greater than equal today yesterday last 7 days last 14 days last 30 days last 60 days last 90 days
endDate Batch Close Date DateTime equals not equals less than between greater than less than equal greater than equal today yesterday last 7 days last 14 days last 30 days last 60 days last 90 days
estimated Estimate Flag (0/1 = N/Y) Boolean equals
exported Export Flag (0/1 = N/Y) Boolean equals
exportedby Exported By ID Integer equals not equals less than between one of greater than less than equal greater than equal not one of
exportedDate Bill Export Date DateTime equals not equals less than between greater than less than equal greater than equal today yesterday last 7 days last 14 days last 30 days last 60 days last 90 days
exportHold Boolean equals
fromVendor Boolean equals
glexportdate DateTime equals not equals less than between greater than less than equal greater than equal today yesterday last 7 days last 14 days last 30 days last 60 days last 90 days
glExported Boolean equals
glexportedby GL Exported By ID Integer equals not equals less than between one of greater than less than equal greater than equal not one of
hasBeenSplit Boolean equals
importVerified Boolean equals
invoiceNumber Invoice Number String equals not equals one of like not like not one of
lastNYears Integer equals
meterCode Logical Device Code String equals not equals one of like not like not one of
meterGroupCode Meter Group Code String equals
meterGroupId Integer equals
meterGroupInfo Meter Group Display String equals
meterInfo Logical Device Name String equals not equals one of like not like not one of
observationMethodCode Measurement Source Code String equals not equals one of like not like not one of
observationMethodId Integer equals not equals less than between one of greater than less than equal greater than equal not one of
organizationInfo Place Group Name String equals
payStatus String equals not equals one of like not like not one of
placeCode Place Code String equals not equals one of like not like not one of
placeGroupCode Place Group Code String equals
placeGroupId Integer equals
placeId Integer equals not equals less than between one of greater than less than equal greater than equal not one of
placeInfo Place Name String equals not equals one of like not like not one of
rateCode Tariff Name String equals not equals one of like not like not one of
rateId Integer equals not equals less than between one of greater than less than equal greater than equal not one of
serialNumber Device Specific Property Value String equals not equals one of like not like not one of
topmostCostCenterCode Topmost Cost Center Code String equals
topmostCostCenterInfo Topmost Cost Center Name String equals
topmostPlaceCode Topmost Place Code String equals
topmostPlaceInfo Topmost Place Name String equals
totalCost Bill Total Cost Double equals not equals less than between greater than less than equal greater than equal
vendorCode Vendor Code String equals not equals one of like not like not one of
vendorID Integer equals not equals less than between one of greater than less than equal greater than equal not one of
vendorInfo Vendor Name String equals not equals one of like not like not one of
void Void Flag (0/1 = N/Y) Boolean equals
wassplitdate DateTime equals not equals less than between greater than less than equal greater than equal today yesterday last 7 days last 14 days last 30 days last 60 days last 90 days

Response Headers

This endpoint returns pagination metadata in the response headers.

Header Type Description
PageNumber integer The current page number (1-based).
PageSize integer The maximum number of items per page.
TotalNumberOfRecords integer The total number of records matching the query across all pages.
TotalPages integer The total number of pages. Increment pageNumber until it equals this value to retrieve all results.

See the Pagination guide for iteration examples and best practices.

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

BodylineResponse
Property Description Type
account AccountChild
AccountChild properties
Property Description Type
accountCode string
accountId integer (int32)
accountInfo string
active boolean
hasCalculatedMeter boolean
hasSplitChildMeter boolean
hasSplitParentMeter boolean
hasSubAccount boolean
isSubAccount boolean
vendor VendorChild
VendorChild properties
Property Description Type
vendorCode The vendor code string
vendorId The vendor identifier integer (int32)
vendorInfo The vendor info string
billId The bill identifier integer (int32)
bodylineId The bodyline identifier integer (int32)
caption The caption string
commodity CommodityChild
CommodityChild properties
Property Description Type
commodityCode The commodity code Required (defined) string
commodityIcon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
commodityId The commodity identifier Required (defined) integer (int32)
commodityInfo The commodity info Required (defined) string
cost The cost attributed to the bodyline number (double)
costUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
displayOrder The display order integer (int32)
generalLedger GeneralLedgerChild
GeneralLedgerChild properties
Property Description Type
generalLedgerCode string
generalLedgerId integer (int32)
generalLedgerInfo string
helpTag The help tag string
meter MeterChild
MeterChild properties
Property Description Type
active Indicates whether the Meter is Active boolean
commodity CommodityChild
CommodityChild properties
Property Description Type
commodityCode The commodity code Required (defined) string
commodityIcon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
commodityId The commodity identifier Required (defined) integer (int32)
commodityInfo The commodity info Required (defined) string
isCalculatedMeter Indicates whether the meter is a calculated meter boolean
isEsaCalculatedMeter Indicates whether the meter is an ESA calculated meter boolean
isSplitChildMeter Indicates whether the meter is a child of a split boolean
isSplitParentMeter Indicates whether the meter is a parent of a split boolean
meterCode The meter code string
meterId The meter identifier integer (int32)
meterInfo The meter info string
meterType MeterTypeChild
MeterTypeChild properties
Property Description Type
meterTypeCode string
meterTypeId integer (int32)
meterTypeInfo string
serialNumber The meter’s current serial number string
observationType ObservationTypeChild
ObservationTypeChild properties
Property Description Type
credit Indicates the type of credit for the observation type. Possible values include: 1 (Credit), 2 (Debit), 3 (Ignore) integer (int32)
nounCode The observation type’s noun code string
nounId The identifier for the observation type’s noun integer (int32)
observationTypeCode The observation type code string
observationTypeId The observation type identifier integer (int32)
observationTypeInfo The observation type info string
unit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
value The bodyline’s value number (double)
Example Response application/json
[
  {    "account": {      "accountCode": "string",      "accountId": 1,      "accountInfo": "string",      "active": false,      "hasCalculatedMeter": false,      "hasSplitChildMeter": false,      "hasSplitParentMeter": false,      "hasSubAccount": false,      "isSubAccount": false,      "vendor": {}
    },    "billId": 1,    "bodylineId": 1,    "caption": "string",    "commodity": {      "commodityCode": "string",      "commodityIcon": {},      "commodityId": 1,      "commodityInfo": "string"
    },    "cost": 1.0,    "costUnit": {      "unitCode": "string",      "unitId": 1,      "unitInfo": "string"
    },    "displayOrder": 1,    "generalLedger": {      "generalLedgerCode": "string",      "generalLedgerId": 1,      "generalLedgerInfo": "string"
    },    "helpTag": "string",    "meter": {      "active": false,      "commodity": {},      "isCalculatedMeter": false,      "isEsaCalculatedMeter": false,      "isSplitChildMeter": false,      "isSplitParentMeter": false,      "meterCode": "string",      "meterId": 1,      "meterInfo": "string",      "meterType": {},      "serialNumber": "string"
    },    "observationType": {      "credit": 1,      "nounCode": "string",      "nounId": 1,      "observationTypeCode": "string",      "observationTypeId": 1,      "observationTypeInfo": "string"
    },    "unit": {      "unitCode": "string",      "unitId": 1,      "unitInfo": "string"
    },    "value": 1.0
  }
]